컴포저


PHP 개발환경을 설치하였다면, 이번에는 컴포저 통합 페키지 환경을 구축해야 합니다.

컴포저는 외부 PHP 라이브러리를 자동 다운로드 하고, 의존성을 관리할 수 있는 도구 입니다.
파이썬의 pip, 노드으 npm과 같은 역활을 하는 것으로 생각하면 편리 합니다.


컴포저 설치


컴포저는 무료로 사용이 가능합니다. getcomposer.org 에 접속하여 다운로드 설치가 가능합니다.


Require


컴포저의 require명령은 서버에서 패키지를 다운로드하여 설치할 수 있는 명령어 입니다.
이 명령어를 통하여 지니PHP의 기본 페키지 및 그외 확장되는 기능들을 다운로드 받을 수 있습니다.


특정버전 설치


패키지의 특정 버전을 설치 할 수 있습니다. 특정 버전을 설치하기 위해서는 뒤에 버전을 지정합니다.

composer require 밴더/패키지명 "^버전"